aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2018-02-22 09:58:02 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2018-02-22 10:22:43 +0000
commit837ef36cee7caf28dfcb07af053a527c0fff3f5c (patch)
tree9e9df89ec27b0d995813da0209bf247034fa5fc9
parent27af41a9dee06a941b2aba994ebf79d3fa905a45 (diff)
binaries: Handle gdbserver in sysroot path
We have now moved gdbserver into the sysroot, so don't expect to find it in the main toolchain bin/ dir. Change-Id: Ic5e8d778d61d0767c6758fdb0a74c628700d26cd
-rwxr-xr-xbinaries/build.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/binaries/build.sh b/binaries/build.sh
index 71acb01..438dadb 100755
--- a/binaries/build.sh
+++ b/binaries/build.sh
@@ -45,6 +45,7 @@ case ${TARGET} in
*linux*)
;;
*)
+ # No fortran, nor gdbserver in bare-metal toolchains
sed -e "/^\(__TARGET__-gfortran${MINGW:+.exe}\|gdbserver\)$/ d" -i ref-list.txt
;;
esac
@@ -52,6 +53,8 @@ sed -e "s/^__TARGET__/${TARGET}/;" -i ref-list.txt
# get list from toolchain
(cd $TOOLCHAIN/bin && ls ) > toolchain-list.txt
+# gdbserver is in the sysroot part
+(cd $TOOLCHAIN/${TARGET}/libc/usr/bin && ls ) | grep gdbserver >> toolchain-list.txt || true
# Remove $TARGET-gcc-X.Y.Z${EXT} from the list of files actually
# present to make comparison easier.
sed -e "/^${TARGET}-gcc-[0-9]\\.[0-9]\\.[0-9]${MINGW:+.exe}$/ d" -i toolchain-list.txt